## sliver 1.5.41

=== debian/changelog ===
sliver (1.5.41-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:12:08 +0200

sliver (1.5.41-0kali2) kali-dev; urgency=medium

  * Add patch to fix FTBFS with Go 1.21
  * Disable network access for the Go compiler
  * Drop Build-Depends dh-golang
  * Adjust auto_install target

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 29 Aug 2023 16:09:48 +0700

sliver (1.5.41-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.41

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 28 Aug 2023 11:37:51 +0200

sliver (1.5.37-0kali2) kali-dev; urgency=medium

  * Generate shell autocompletion scripts

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Apr 2023 11:31:28 +0200

sliver (1.5.37-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable 32bit builds.

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.5.37

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sun, 23 Apr 2023 11:43:43 +0200

sliver (1.5.34-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.34
  * Update package

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Feb 2023 12:30:45 +0100

sliver (1.5.31-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.31

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 04 Nov 2022 09:11:23 +0100

sliver (1.5.30-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.30

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 19 Oct 2022 08:52:50 +0200

sliver (1.5.29-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.29
  * Update packaging
  * Update patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Oct 2022 12:20:39 +0200

sliver (1.5.24-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Disable i386 build in Kali CI

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.5.24

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 02 Sep 2022 16:21:20 +0200

sliver (1.5.21-0kali2) kali-dev; urgency=medium

  * Drop Build-Depends golang-github-gobuffalo-packr-dev

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 13 Aug 2022 00:35:44 +0700

sliver (1.5.21-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.21

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 28 Jul 2022 17:59:32 +0200

sliver (1.5.20-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.20

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Jul 2022 21:15:21 +0200

sliver (1.5.19-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.19

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 19 Jul 2022 12:39:08 +0200

sliver (1.5.17-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.17

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 01 Jul 2022 11:56:32 +0200

sliver (1.5.16-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.16
  * wrap-and-sort -ast
  * Remove old 'arch 32' patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 10 Jun 2022 17:07:16 +0200

sliver (1.5.14-0kali2) kali-dev; urgency=medium

  * Change architecture from 'any' to 64bit only
  * Remove unneded export in debian/rules
  * Remove comma in architectures
  * Fix debian/test

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 06 Jun 2022 15:08:34 +0200

sliver (1.5.14-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.5.14
  * Update package
  * Override lintian warning no-manual-page for sliver-client
  * Fix VERSION variable
  * Add basic test for sliver-client

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 03 Jun 2022 22:16:42 +0200

sliver (1.1.1-0kali3) kali-dev; urgency=medium

  * Add superficial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Jul 2021 14:12:22 +0200

sliver (1.1.1-0kali2) kali-dev; urgency=medium

  * Update dependencies
  * Add a patch to fix build for 32 bit

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Jul 2021 14:12:19 +0200

sliver (1.1.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Raphaël Hertzog ]
  * Fix watch file

  [ Sophie Brun ]
  * New upstream version 1.1.1
  * Bump Standards-Version to 4.5.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Jul 2021 16:19:06 +0200

sliver (0.0.6~alpha+git20200416-0kali2) kali-dev; urgency=medium

  * Add metasploit-framework and mingw* in Recommends

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 May 2020 11:33:50 +0200

sliver (0.0.6~alpha+git20200416-0kali1) kali-dev; urgency=medium

  * Initial release (see 6146)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Apr 2020 17:25:35 +0200
