=== debian/control ===
Source: sliver
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 ca-certificates,
 curl,
 debhelper-compat (= 13),
 golang-go,
 golang-goprotobuf-dev,
 protobuf-compiler,
 unzip,
 zip,
Standards-Version: 4.6.2
Homepage: https://github.com/BishopFox/sliver

Package: sliver
Architecture: amd64 arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 binutils-mingw-w64,
 build-essential,
 g++-mingw-w64,
 metasploit-framework,
 mingw-w64,
Built-Using:
 ${misc:Built-Using},
Description: Implant framework
 This package contains a general purpose cross-platform implant framework that
 supports C2 over Mutual-TLS, HTTP(S), and DNS. Implants are dynamically
 compiled with unique X.509 certificates signed by a per-instance certificate
 authority generated when you first run the binary.
