## sliver 1.5.42

=== debian/changelog ===
sliver (1.5.42-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Consolidate patches related to gvisor update

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.5.42
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 29 Feb 2024 16:56:40 +0100
