=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sliver
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Sophie Brun <sophie@offensive-security.com>,
 Build-Depends:
  ca-certificates,
  curl,
@@ -14,6 +15,8 @@
  zip,
 Standards-Version: 4.6.2
 Homepage: https://github.com/BishopFox/sliver
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sliver
+Vcs-Git: https://gitlab.com/kalilinux/packages/sliver.git
 
 Package: sliver
 Architecture: amd64 arm64
