=== debian/tests/control ===
Test-Command: sliver-server -h
Restrictions: superficial

Test-Command: sliver-client -h
Restrictions: superficial
