=== debian/watch ===
version=4
opts="uversionmangle=s/-(alpha|beta)/~$1/, \
      filenamemangle=s%(?:.*?)?v?(\d.*).tar\.gz%sliver-$1.tar.gz%" \
   https://github.com/BishopFox/sliver/tags \
   (?:.*?/)?v?(\d.*)\.tar\.gz
