## sliver 1.5.43

=== debian/changelog ===
sliver (1.5.43-0parrot3) lory-updates; urgency=medium

  * Only recommends the proper mingw packages.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 01 Jul 2025 08:33:55 +0200

sliver (1.5.43-0parrot2) lory-updates; urgency=medium

  * Use "parrot" as version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 30 Jun 2025 14:55:50 +0200

sliver (1.5.43-0parrot1) lory; urgency=medium

  * Import new upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 30 Jun 2025 09:47:45 +0200
