=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: sliver
 Section: net
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders:
- Sophie Brun <sophie@offensive-security.com>,
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends:
  ca-certificates,
  curl,
@@ -15,8 +14,6 @@
  zip,
 Standards-Version: 4.6.2
 Homepage: https://github.com/BishopFox/sliver
-Vcs-Browser: https://gitlab.com/kalilinux/packages/sliver
-Vcs-Git: https://gitlab.com/kalilinux/packages/sliver.git
 
 Package: sliver
 Architecture: amd64 arm64
@@ -24,11 +21,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- binutils-mingw-w64,
  build-essential,
- g++-mingw-w64,
+ gcc-mingw-w64-x86-64-posix,
+ g++-mingw-w64-x86-64-posix,
  metasploit-framework,
- mingw-w64,
 Built-Using:
  ${misc:Built-Using},
 Description: Implant framework
