=== debian/changelog ===
sliver (1.7.1-0kali2) kali-dev; urgency=medium

  * Kill leaking process in tests
  * Make tests more verbose

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 12 Feb 2026 14:21:54 +0100

sliver (1.7.1-0kali1) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add real tests
  * New upstream version 1.7.1
  * Refresh patches
  * Update debian/watch to version 5
  * Update Uploaders
  * Update packaging

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 11 Feb 2026 11:08:06 +0100
