=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: sliver
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders:
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
+ Sophie Brun <sophie@offensive-security.com>,
 Build-Depends:
  ca-certificates,
  curl,
@@ -12,8 +14,10 @@
  protobuf-compiler,
  unzip,
  zip,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/BishopFox/sliver
+Vcs-Browser: https://gitlab.com/kalilinux/packages/sliver
+Vcs-Git: https://gitlab.com/kalilinux/packages/sliver.git
 
 Package: sliver
 Architecture: amd64 arm64
@@ -21,10 +25,12 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ binutils-mingw-w64,
  build-essential,
- gcc-mingw-w64-x86-64-posix,
- g++-mingw-w64-x86-64-posix,
+ g++-mingw-w64,
  metasploit-framework,
+ mingw-w64,
+ xsel,
 Built-Using:
  ${misc:Built-Using},
 Description: Implant framework
