=== debian/tests/control ===
Tests: runtests.sh
Depends: procps, @
Restrictions:
