=== debian/watch ===
Version: 5

Template: Github
Owner: BishopFox
Project: sliver
Uversionmangle: s/-(alpha|beta)/~$1/
